
set serveroutput on

declare
-- declare the pl/sql table
type myplsqltab is table of varchar2(2000) index by binary_integer;
-- define the table
v_texte myplsqltab;
v_count pls_integer;

begin
	-- fill with values
	v_texte(3):='dies ist die erste ziele';
	v_texte(4):='dies ist die zweite ziele';
	v_texte(8):='dies ist die dritte ziele';

	-- loop over the table
	for i in v_texte.first .. v_texte.last
	loop
	  -- ausgeben
	  if v_texte.exists(i) 
	   then
		dbms_output.put_line('element #' || i || ' = ' || v_texte(i));
	  end if; 
	end loop;
   
   -- loop over gaps	
   v_count := v_texte.first;
   while v_count is not null
   loop
      dbms_output.put_line('element #' || v_count || ' = ' || v_texte(v_count));
      v_count := v_texte.next(v_count);
   end loop;
   
end;
/